.TH "ompi_request_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi_request_t \- Main top-level request struct definition.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <request.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIBase type. \fP"
.ti -1c
.RI "\fBompi_request_type_t\fP \fBreq_type\fP"
.br
.RI "\fIEnum indicating the type of the request. \fP"
.ti -1c
.RI "ompi_status_public_t \fBreq_status\fP"
.br
.RI "\fICompletion status. \fP"
.ti -1c
.RI "volatile bool \fBreq_complete\fP"
.br
.RI "\fIFlag indicating wether request has completed. \fP"
.ti -1c
.RI "volatile \fBompi_request_state_t\fP \fBreq_state\fP"
.br
.RI "\fIenum indicate state of the request \fP"
.ti -1c
.RI "int \fBreq_f_to_c_index\fP"
.br
.RI "\fIIndex in Fortran <-> C translation array. \fP"
.ti -1c
.RI "ompi_request_free_fn_t \fBreq_fini\fP"
.br
.RI "\fICalled by test/wait. \fP"
.ti -1c
.RI "ompi_request_free_fn_t \fBreq_free\fP"
.br
.RI "\fICalled by free. \fP"
.ti -1c
.RI "ompi_request_cancel_fn_t \fBreq_cancel\fP"
.br
.RI "\fIOptional function to cancel the request. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Main top-level request struct definition. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
